> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Perpetual Tickers

> Get Perpetual Tickers.

Get Perpetual Tickers through the DexBuilder PerpDEX REST API.


## OpenAPI

````yaml openapi/perpdex-en.yaml GET /dex_futures/{settle}/tickers
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永續合約公開行情與市場資料
  - name: 風險資料
    description: 風險限額與市場強平資料
  - name: 帳戶
    description: 帳戶與費率
  - name: 持倉
    description: 持倉查詢與管理
  - name: 訂單
    description: 訂單、成交與批量交易
paths:
  /dex_futures/{settle}/tickers:
    get:
      tags:
        - 行情
      summary: 查詢全部永續合約行情統計
      description: 查詢全部永續合約行情統計，可透過 contract 只回傳指定合約。
      operationId: listPerpTickers
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQuery'
      responses:
        '200':
          description: 查詢成功
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Ticker'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 結算幣種
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQuery:
      name: contract
      in: query
      required: false
      description: 永續合約，不傳則回傳全部
      schema:
        type: string
  schemas:
    Ticker:
      type: object
      properties:
        contract:
          type: string
          description: 合約名稱
        last:
          type: string
          description: 最新成交價
        change_percentage:
          type: string
          description: 漲跌幅
        total_size:
          type: string
          description: 成交量
        volume_24h:
          type: string
          description: 24 小時成交額
        volume_24h_usd:
          type: string
          description: 24 小時美元成交額
        mark_price:
          type: string
          description: 標記價格
        index_price:
          type: string
          description: 指數價格
        funding_rate:
          type: string
          description: 資金費率
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 時間戳（秒），與目前時間差不得超過 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 對簽名字串執行 HMAC-SHA512 後的十六進制簽名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.